// Common description constant
const commonDescription =
  "UK Manufactured cartridges to the highest standards which are high speed balanced. These cartridges are the perfect replacements for old and worn cartridges, without having to spend money on brand new turbos or taking chances on used turbos. If the turbocharger is internally damaged, or if the turbocharger seals are leaking oil this will resolve the issue.\n\n Please diagnose for boost leaks, failed wastegates and source of turbo failure to ensure a successful repair.";

// Example data object for model details
const modelDetails = {
  ford1: {
    name: "F150 3.5 Ecoboost 2010-2012 4WD",
    partnumberLeft: "OEM Part Number :Left BL3Z-6K682-C",
    partnumberRight: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    usdLeftPrice: "$650 USD",
    cadLeftPrice: "$1000 CAD",
    usdRightPrice: "$650 USD",
    cadRightPrice: "$1000 CAD",
    usdLeftOriginalPrice: "$850 USD",
    usdRightOriginalPrice: "$850 USD",
    cadLeftOriginalPrice: "$1200 CAD",
    cadRightOriginalPrice: "$1200 CAD",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "F150",
    rating: 5,
  },
  ford1: {
    name: "F150 3.5 Ecoboost 2011-2012 4WD All Models",
    partnumberLeft: "OEM Part Number :Left:CL3Z-6K682-C",
    partnumberRight: "OEM Part Number :: Right: CL3Z-6K682-D",
    subtitle: "",
    usdLeftPrice: "$650 USD",
    cadLeftPrice: "$1000 CAD",
    usdRightPrice: "$650 USD",
    cadRightPrice: "$1000 CAD",
    usdLeftOriginalPrice: "$850 USD",
    usdRightOriginalPrice: "$850 USD",
    cadLeftOriginalPrice: "$1200 CAD",
    cadRightOriginalPrice: "$1200 CAD",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "F150",
    rating: 5,
  },
  ford2: {
    name: "F150 3.5 Ecoboost 2013-2016 4WD",
    partnumberLeft: "OEM Part Number :Left DL3Z-6K682-E",
    partnumberRight: "OEM Part Number :Right DL3Z-6K682-F",
    subtitle: "",
    usdLeftPrice: "$650 USD",
    cadLeftPrice: "$1000 CAD",
    usdRightPrice: "$650 USD",
    cadRightPrice: "$1000 CAD",
    usdLeftOriginalPrice: "$850 USD",
    usdRightOriginalPrice: "$850 USD",
    cadLeftOriginalPrice: "$1200 CAD",
    cadRightOriginalPrice: "$1200 CAD",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "F150",
    rating: 5,
  },
  ford3: {
    name: "F150 3.5 Ecoboost 2018-2020 4WD",
    partnumberLeft: "OEM Part Number :Left JT4Z-6K682-A",
    partnumberRight: "OEM Part Number :Right JT4Z-6K682-B",
    subtitle: "",
    usdLeftPrice: "$650 USD",
    cadLeftPrice: "$1000 CAD",
    usdRightPrice: "$650 USD",
    cadRightPrice: "$1000 CAD",
    usdLeftOriginalPrice: "$850 USD",
    usdRightOriginalPrice: "$850 USD",
    cadLeftOriginalPrice: "$1200 CAD",
    cadRightOriginalPrice: "$1200 CAD",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "F150",
    rating: 5,
  },
  ford4: {
    name: "F150 3.5 Ecoboost 2021-2023 4WD",
    partnumberLeft: "OEM Part Number :Left FL3Z-6K682-D",
    partnumberRight: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "Products Coming Soon",
    usdLeftPrice: "$650 USD",
    cadLeftPrice: "$1000 CAD",
    usdRightPrice: "$650 USD",
    cadRightPrice: "$1000 CAD",
    usdLeftOriginalPrice: "$850 USD",
    usdRightOriginalPrice: "$850 USD",
    cadLeftOriginalPrice: "$1200 CAD",
    cadRightOriginalPrice: "$1200 CAD",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "F150",
    rating: 5,
  },
  ford5: {
    name: "F150 2.7 Ecoboost 2013-2017 4WD",
    partnumberLeft: "OEM Part Number :Left FL3Z-6K682-D",
    partnumberRight: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    usdLeftPrice: "$650 USD",
    cadLeftPrice: "$1000 CAD",
    usdRightPrice: "$650 USD",
    cadRightPrice: "$1000 CAD",
    usdLeftOriginalPrice: "$850 USD",
    usdRightOriginalPrice: "$850 USD",
    cadLeftOriginalPrice: "$1200 CAD",
    cadRightOriginalPrice: "$1200 CAD",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "F150",
    rating: 5,
  },
  ford6: {
    name: "Ford F150 2.7 Ecoboost 2018-2020 4WD",
    partnumberLeft: "OEM Part Number :Left FL3Z-6K682-D",
    partnumberRight: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    usdLeftPrice: "$650 USD",
    cadLeftPrice: "$1000 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1200 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "F150",
    rating: 5,
  },
  ford7: {
    name: "Transit 3.5 Ecoboost 2015-2023 150/250/350",
    partnumberLeft: "OEM Part Number :Left BL3Z-6K682-C",
    partnumberRight: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    usdLeftPrice: "$650 USD",
    cadLeftPrice: "$1000 CAD",
    usdRightPrice: "$650 USD",
    cadRightPrice: "$1000 CAD",
    usdLeftOriginalPrice: "$850 USD",
    usdRightOriginalPrice: "$850 USD",
    cadLeftOriginalPrice: "$1200 CAD",
    cadRightOriginalPrice: "$1200 CAD",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "TRANSIT",
    rating: 5,
  },
  ford8: {
    name: "Transit Connect 1.6 Turbo 2014-2018",
    partnumberLeft: "OEM Part Number :Left BL3Z-6K682-C",
    partnumberRight: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    usdLeftPrice: "$650 USD",
    cadLeftPrice: "$1000 CAD",
    usdRightPrice: "$650 USD",
    cadRightPrice: "$1000 CAD",
    usdLeftOriginalPrice: "$850 USD",
    usdRightOriginalPrice: "$850 USD",
    cadLeftOriginalPrice: "$1200 CAD",
    cadRightOriginalPrice: "$1200 CAD",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "TRANSIT",
    rating: 5,
  },
  ford9: {
    name: "Expedition 3.5 Ecoboost 2015-2017 4WD",
    partnumberLeft: "OEM Part Number :Left BL3Z-6K682-C",
    partnumberRight: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    usdLeftPrice: "$650 USD",
    cadLeftPrice: "$1000 CAD",
    usdRightPrice: "$650 USD",
    cadRightPrice: "$1000 CAD",
    usdLeftOriginalPrice: "$850 USD",
    usdRightOriginalPrice: "$850 USD",
    cadLeftOriginalPrice: "$1200 CAD",
    cadRightOriginalPrice: "$1200 CAD",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "EXPEDITION",
    rating: 5,
  },
  ford10: {
    name: "Expedition 3.5 Ecoboost 2018-2021 4WD",
    partnumberLeft: "OEM Part Number :Left BL3Z-6K682-C",
    partnumberRight: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    usdLeftPrice: "$650 USD",
    cadLeftPrice: "$1000 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1200 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "EXPEDITION",
    rating: 5,
  },
  ford11: {
    name: "Mustang 2.3 Ecoboost",
    partnumberLeft: "OEM Part Number :Left BL3Z-6K682-C",
    partnumberRight: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    usdLeftPrice: "$650 USD",
    cadLeftPrice: "$1000 CAD",
    usdRightPrice: "$650 USD",
    cadRightPrice: "$1000 CAD",
    usdLeftOriginalPrice: "$850 USD",
    usdRightOriginalPrice: "$850 USD",
    cadLeftOriginalPrice: "$1200 CAD",
    cadRightOriginalPrice: "$1200 CAD",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "MUSTANG",
    rating: 5,
  },
  ford12: {
    name: "Focus ST 2013-2018",
    partnumberLeft: "OEM Part Number :Left BL3Z-6K682-C",
    partnumberRight: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    usdLeftPrice: "$650 USD",
    cadLeftPrice: "$1000 CAD",
    usdRightPrice: "$650 USD",
    cadRightPrice: "$1000 CAD",
    usdLeftOriginalPrice: "$850 USD",
    usdRightOriginalPrice: "$850 USD",
    cadLeftOriginalPrice: "$1200 CAD",
    cadRightOriginalPrice: "$1200 CAD",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "FOCUS",
    rating: 5,
  },
  ford13: {
    name: "Fusion 2013-2018 1.5/2.0/2.5 Ecoboost",
    partnumberLeft: "OEM Part Number :Left BL3Z-6K682-C",
    partnumberRight: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    usdLeftPrice: "$650 USD",
    cadLeftPrice: "$1000 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1200 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "FUSION",
    rating: 5,
  },
  ford14: {
    name: "Taurus 2013-2018 2.0 Ecoboost",
    partnumberLeft: "OEM Part Number :Left BL3Z-6K682-C",
    partnumberRight: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    usdLeftPrice: "$650 USD",
    cadLeftPrice: "$1000 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1200 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "TAURUS",
    rating: 5,
  },
  ford15: {
    name: "Escape 2013-2016 2.0 Ecoboost",
    partnumberLeft: "OEM Part Number :Left BL3Z-6K682-C",
    partnumberRight: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    usdLeftPrice: "$650 USD",
    cadLeftPrice: "$1000 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1200 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "ESCAPE",
    rating: 5,
  },
  ford16: {
    name: "Escape 2017-2020 2.0 Ecoboost",
    partnumberLeft: "OEM Part Number :Left BL3Z-6K682-C",
    partnumberRight: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    usdLeftPrice: "$650 USD",
    cadLeftPrice: "$1000 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1200 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "ESCAPE",
    rating: 5,
  },
  ford17: {
    name: "Escape 2013-2016 1.6 Ecoboost",
    partnumberLeft: "OEM Part Number :Left BL3Z-6K682-C",
    partnumberRight: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    usdLeftPrice: "$650 USD",
    cadLeftPrice: "$1000 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1200 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "ESCAPE",
    rating: 5,
  },
  ford18: {
    name: "Edge 2015-2020 2.0 Ecoboost",
    partnumberLeft: "OEM Part Number :Left BL3Z-6K682-C",
    partnumberRight: "OEM Part Number :Right BL3Z-6K682-B",
    subtitle: "",
    usdLeftPrice: "$650 USD",
    cadLeftPrice: "$1000 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1200 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "EDGE",
    rating: 5,
  },
  ford19: {
    name: "Fiesta 2014-2019 1.6 Ecoboost",
    partnumberLeft: "OEM Part Number :CJ5Z-6K682-L",
    subtitle: "",
    usdLeftPrice: "$650 USD",
    cadLeftPrice: "$1000 CAD",
    usdRightPrice: "",
    cadRightPrice: "",
    usdLeftOriginalPrice: "$850 USD",
    usdRightOriginalPrice: "",
    cadLeftOriginalPrice: "$1200 CAD",
    cadRightOriginalPrice: "",
    description: commonDescription,
    mainCategory: "FORD",
    subCategory: "FIESTA",
    rating: 5,
  },
};

// Function to render product details
function renderProductDetails(productDiv, modelData) {
  // Find elements for name, prices, and part numbers within each product div
  const modelNameElement = productDiv.querySelector("#model-name");
  const modelLeftPriceElement = productDiv.querySelector("#model-left-price");
  const modelRightPriceElement = productDiv.querySelector("#model-right-price");
  const partNumberLeftElement = productDiv.querySelector("#part-number-left");
  const partNumberRightElement = productDiv.querySelector("#part-number-right");

  // Update name and prices in the div
  modelNameElement.textContent = modelData.name;

  // Initially render the price based on the default selected currency (USD)
  const selectedCurrency = document.getElementById("currencySelect").value;
  if (selectedCurrency === "USD") {
    modelLeftPriceElement.textContent = modelData.usdLeftPrice;
    modelRightPriceElement.textContent = modelData.usdRightPrice;
  } else if (selectedCurrency === "CAD") {
    modelLeftPriceElement.textContent = modelData.cadLeftPrice;
    modelRightPriceElement.textContent = modelData.cadRightPrice;
  }

  // Render part numbers dynamically
  partNumberLeftElement.textContent = modelData.partnumberLeft;
  partNumberRightElement.textContent = modelData.partnumberRight;

  // New: Render mainCategory, subCategory, description, and rating
  const mainCategoryElement = productDiv.querySelector("#model-main-category");
  const subCategoryElement = productDiv.querySelector("#model-sub-category");
  const descriptionElement = productDiv.querySelector("#model-description");
  const ratingElement = productDiv.querySelector("#model-rating");

  if (mainCategoryElement) mainCategoryElement.textContent = `Category: ${modelData.mainCategory}`;
  if (subCategoryElement) subCategoryElement.textContent = `Subcategory: ${modelData.subCategory}`;
  if (descriptionElement) descriptionElement.textContent = modelData.description;
  if (ratingElement) ratingElement.textContent = `Rating: ${modelData.rating} stars`;
  // New: Conditionally render the right-oem section based on usdRightPrice
  const rightOemDiv = productDiv.querySelector(".right-oem");
  if (modelData.usdRightPrice && modelData.usdRightPrice.trim() !== "") {
    // If usdRightPrice exists and is not empty, display the div
    rightOemDiv.style.display = "block";
  } else {
    // Otherwise, hide it
    rightOemDiv.style.display = "none";
  }
}

// Function to render all products
function renderAllProducts() {
  const productContainer = document.getElementById("product-container");

  // Loop through modelDetails to create product divs
  Object.keys(modelDetails).forEach((modelKey, index) => {
    const model = modelDetails[modelKey];

    // Create the product div
    const productDiv = document.createElement("div");
    productDiv.classList.add("col-lg-4", "col-md-6", "col-sm-6", "orangeboxs");
    productDiv.id = `div${index + 1}`;

    // Add the onClick function to redirect
    productDiv.onclick = () => redirectToModelPage(modelKey);  // Your existing function to handle the redirection

    // Add inner HTML structure
    productDiv.innerHTML = `
      <div class="product_item">
        <ul class="badge_group unordered_list">
          <li><span class="badge badge-danger">SALE</span></li>
        </ul>
        <a class="item_image">
          <img src="assets/images/products/product_img_1.png" alt="ProMotors - Product Image"/>
        </a>
        <div class="item_content">
          <a href="" class="whitecol">${model.mainCategory}</a>
          <h3 class="item_title">
            <a id="model-name">${model.name}</a>
          </h3>
          <div class="item_footer">
            <div class="item_price">
              <span id="model-left-price" class="sale_price">${model.usdLeftPrice}</span>
            </div>
            <a class="btn-link">
              <span class="btn_icon"><i class="fa-regular fa-angle-right"></i></span>
              <span class="btn_text">
                <small>Add To Cart</small>
                <small>Add To Cart</small>
              </span>
            </a>
          </div>
          <a class="item_brand">
            <span id="part-number-left">${model.partnumberLeft}</span>
          </a>
          <div class="item_footer">
            <div class="item_price">
              <span id="model-right-price" class="sale_price">${model.usdRightPrice}</span>
            </div>
            <span class="right-oem">
            <a class="btn-link">
              <span class="btn_icon"><i class="fa-regular fa-angle-right"></i></span>
              <span class="btn_text">
                <small>Add To Cart</small>
                <small>Add To Cart</small>
              </span>
            </a>
            </span>
          </div>
          <a class="item_brand">
            <span id="part-number-right">${model.partnumberRight}</span>
          </a>
        </div>
        <ul class="cart_btns_group unordered_list_block">
          <li><a href="ford.html"><i class="fa-light fa-heart"></i></a></li>
          <li><a href="ford.html"><i class="fa-light fa-eye"></i></a></li>
          <li><a href="ford.html"><i class="fa-light fa-code-compare"></i></a></li>
        </ul>
      </div>
    `;

    // Render product details
    renderProductDetails(productDiv, model);

    // Append the product div to the container
    productContainer.appendChild(productDiv);
  });
}

// Function to update the prices based on selected currency
function updatePricesBasedOnCurrency() {
  const selectedCurrency = document.getElementById("currencySelect").value;

  document.querySelectorAll(".product_item").forEach((productDiv) => {
    const modelId = `ford${productDiv.parentElement.id.replace("div", "")}`;
    const modelData = modelDetails[modelId];

    // Check if modelData exists for this ID
    if (modelData) {
      const modelLeftPriceElement = productDiv.querySelector("#model-left-price");
      const modelRightPriceElement = productDiv.querySelector("#model-right-price");

      // Update prices based on selected currency
      if (selectedCurrency === "USD") {
        modelLeftPriceElement.textContent = modelData.usdLeftPrice;
        modelRightPriceElement.textContent = modelData.usdRightPrice;
      } else if (selectedCurrency === "CAD") {
        modelLeftPriceElement.textContent = modelData.cadLeftPrice;
        modelRightPriceElement.textContent = modelData.cadRightPrice;
      }
    }
  });
}

// Event listener for when the dropdown selection changes
document.getElementById("currencySelect").addEventListener("change", updatePricesBasedOnCurrency);

// Call renderAllProducts when the page loads
document.addEventListener("DOMContentLoaded", renderAllProducts);

// Function to handle redirection with the product key in the URL
function redirectToModelPage(modelKey) {
  window.location.href = `ford-dynamic-page.html?product=${modelKey}`;
}
